@import 'assets/variables.scss';

.root {
  display: block;
}

.header {
  display: grid;
  grid-template-columns: 40% 18% 15% 23% 4%;
  margin-bottom: $cell;
  padding-left: $cell;
  padding-right: $cell * 3;

  .colHeader {
    cursor: pointer;
    display: flex;
    align-items: center;

    .colLabel {
      font-size: 1.3rem;
      font-weight: 600;
    }
  }

}

.sortArrowWrap {
  display: flex;
  flex-direction: column;

  margin-left: $cell;
  margin-bottom: 0.6em;
  


  .sortArrow {
    height: 0.6em !important;

  }

  .invis {
    opacity: 0;
  }
}

.rows {
  font-size: 1.1rem;
  height: calc(98vh - 250px);
  overflow: overlay;
  padding-right: $cell * 3;
}

.rowWrap {
  display: grid;
  grid-template-columns: 40% 18% 15% 23% 4%;
  border-radius: 2px;
  align-items: center;
  border-bottom: 1px solid $soft-grey;
  padding: $cell * 1.5 0 $cell * 1.5 $cell;
  cursor: pointer;

  .bold {
    font-weight: 700;
  }

  .rowItem {

  }

  .actions {
    opacity: 0;
  }

  &:hover {
    background-color: rgba(0, 0, 0, 0.03);

    .actions {
      opacity: 1;
    }
  }

}